{
  "openapi": "3.0.4",
  "info": {
    "title": "Customer - External",
    "description": "We enable colleagues and partners to better understand, optimise and enhance their customer’s personalised brand interactions by retrieving customer information.",
    "contact": {
      "name": "NewDay Client Manager"
    },
    "license": {
      "name": "Copyright (c) NewDay Ltd. All rights reserved."
    },
    "version": "1.231"
  },
  "servers": [
    {
      "url": "https://api.uat-newdaycards.com/customerinsights/api",
      "description": "NDC Staging"
    },
    {
      "url": "https://api.newdaycards.com/customerinsights/api",
      "description": "NDC Production"
    },
    {
      "url": "https://dapi.stg-newdaytechnology.net/customer-service",
      "description": "NDT Staging"
    },
    {
      "url": "https://dapi.newdaytechnology.net/customer-service",
      "description": "NDT Production"
    }
  ],
  "paths": {
    "/customers/{customerId}/aml-events": {
      "post": {
        "tags": [
          "Customer Anti Money Laundring Events"
        ],
        "summary": "Creates a new Anti Money Laundring event against the given customerId.",
        "operationId": "CreateCustomerAmlEvent",
        "parameters": [
          {
            "name": "customerId",
            "in": "path",
            "description": "Unique NewDay assigned identifier for the customer profile. Must be either a valid GUID, a string with 16 numerical characters, or 19 numerical characters starting with '000'.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "Api-Version",
            "in": "header",
            "description": "API Version.",
            "required": true,
            "schema": {
              "type": "string",
              "default": "1.0"
            }
          },
          {
            "name": "api-version",
            "in": "query",
            "description": "API Version.",
            "schema": {
              "type": "string",
              "default": "1.0"
            }
          }
        ],
        "requestBody": {
          "description": "The request body used to create the aml event.",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/CreateCustomerAmlEventRequest"
              },
              "examples": {
                "CustomerAmlSignedForDeliveryExample": {
                  "summary": "CustomerAmlSignedForDeliveryExample",
                  "value": {
                    "EventType": "signedForDelivery",
                    "Metadata": {}
                  }
                },
                "CustomerAmlAgentVerifiedExample": {
                  "summary": "CustomerAmlAgentVerifiedExample",
                  "value": {
                    "EventType": "agentVerified",
                    "Metadata": {}
                  }
                },
                "CustomerAmlRemoveExample": {
                  "summary": "CustomerAmlRemoveExample",
                  "value": {
                    "EventType": "amlRemove",
                    "Metadata": {
                      "reason": "Added in Error",
                      "eventTypeToRemove": "SignedForDelivery"
                    }
                  }
                }
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "Aml event created successfully.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/CreateCustomerAmlEventResponse"
                },
                "example": {
                  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
                }
              }
            }
          },
          "400": {
            "description": "Either input was missing a mandatory parameter, or a parameter level validation has occurred. Rectify the error and resubmit the request.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiBadRequestResponse"
                },
                "example": {
                  "type": "newday:generic:error:validation",
                  "title": "One or more validation errors occurred.",
                  "status": 400,
                  "errors": {
                    "Id": [
                      "Id is required"
                    ]
                  }
                }
              }
            }
          },
          "404": {
            "description": "Customer Not Found.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/NotFoundResult"
                },
                "example": {
                  "statusCode": 404
                }
              }
            }
          },
          "415": {
            "description": "Unsupported Media Type",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                },
                "example": {
                  "type": "newday:serviceunavailable",
                  "title": "ServiceUnavailable",
                  "status": 503
                }
              }
            }
          },
          "500": {
            "description": "It has not been possible to process the request. This usually occurs as a result of  technical problems. Attempt to resend the request.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                },
                "example": {
                  "type": "newday:generic:error",
                  "title": "500",
                  "status": 500
                }
              }
            }
          },
          "502": {
            "description": "It has not been possible to process the request. This usually occurs as a result of  technical problems of a downstream system. Attempt to resend the request.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                },
                "example": {
                  "type": "newday:serviceunavailable",
                  "title": "ServiceUnavailable",
                  "status": 503
                }
              }
            }
          },
          "503": {
            "description": "It has not been possible to process the request. This usually occurs as a result of  an outage of a downstream system. Attempt to resend the request.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                },
                "example": {
                  "type": "newday:serviceunavailable",
                  "title": "ServiceUnavailable",
                  "status": 503
                }
              }
            }
          }
        },
        "x-codeSamples": [
          {
            "lang": "Shell + Curl",
            "source": "curl --request POST \\\n  --url 'https://api.uat-newdaycards.com/customerinsights/api/customers/%7BcustomerId%7D/aml-events?api-version=SOME_STRING_VALUE' \\\n  --header 'Api-Version: SOME_STRING_VALUE' \\\n  --header 'content-type: application/json' \\\n  --data '{\"eventType\":\"SignedForDelivery\",\"metadata\":{\"property1\":null,\"property2\":null}}'"
          },
          {
            "lang": "Csharp + Restsharp",
            "source": "var client = new RestClient(\"https://api.uat-newdaycards.com/customerinsights/api/customers/%7BcustomerId%7D/aml-events?api-version=SOME_STRING_VALUE\");\nvar request = new RestRequest(Method.POST);\nrequest.AddHeader(\"Api-Version\", \"SOME_STRING_VALUE\");\nrequest.AddHeader(\"content-type\", \"application/json\");\nrequest.AddParameter(\"application/json\", \"{\\\"eventType\\\":\\\"SignedForDelivery\\\",\\\"metadata\\\":{\\\"property1\\\":null,\\\"property2\\\":null}}\", ParameterType.RequestBody);\nIRestResponse response = client.Execute(request);"
          },
          {
            "lang": "Javascript + Xhr",
            "source": "const data = JSON.stringify({\n  \"eventType\": \"SignedForDelivery\",\n  \"metadata\": {\n    \"property1\": null,\n    \"property2\": null\n  }\n});\n\nconst xhr = new XMLHttpRequest();\nxhr.withCredentials = true;\n\nxhr.addEventListener(\"readystatechange\", function () {\n  if (this.readyState === this.DONE) {\n    console.log(this.responseText);\n  }\n});\n\nxhr.open(\"POST\", \"https://api.uat-newdaycards.com/customerinsights/api/customers/%7BcustomerId%7D/aml-events?api-version=SOME_STRING_VALUE\");\nxhr.setRequestHeader(\"Api-Version\", \"SOME_STRING_VALUE\");\nxhr.setRequestHeader(\"content-type\", \"application/json\");\n\nxhr.send(data);"
          },
          {
            "lang": "Node + Request",
            "source": "const request = require('request');\n\nconst options = {\n  method: 'POST',\n  url: 'https://api.uat-newdaycards.com/customerinsights/api/customers/%7BcustomerId%7D/aml-events',\n  qs: {'api-version': 'SOME_STRING_VALUE'},\n  headers: {'Api-Version': 'SOME_STRING_VALUE', 'content-type': 'application/json'},\n  body: {eventType: 'SignedForDelivery', metadata: {property1: null, property2: null}},\n  json: true\n};\n\nrequest(options, function (error, response, body) {\n  if (error) throw new Error(error);\n\n  console.log(body);\n});\n"
          }
        ]
      }
    },
    "/customers/{customerId}": {
      "get": {
        "tags": [
          "Customers"
        ],
        "summary": "Retrieves the core personal information of a customer by its unique id.\nThis information includes PII data, contact details as well as the account numbers\nand details initiated with that customer profile. When an access token is provided and a record is found for that token,\nbut no account is found is the underlying account system then a header of 'NoCustomerDetails' is returned.",
        "operationId": "GetCustomer",
        "parameters": [
          {
            "name": "customerId",
            "in": "path",
            "description": "Unique NewDay assigned identifier for the customer profile. Must be either a valid GUID, a string with 16 numerical characters, or 19 numerical characters starting with '000'.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "Cache-Control",
            "in": "header",
            "description": "'Cache-Control' header is accepted. Max-age value is expected inside this header. Example max-age=60",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "Api-Version",
            "in": "header",
            "description": "API Version.",
            "required": true,
            "schema": {
              "type": "string",
              "default": "1.0"
            }
          },
          {
            "name": "api-version",
            "in": "query",
            "description": "API Version.",
            "schema": {
              "type": "string",
              "default": "1.0"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Customer Found.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Customer"
                },
                "example": {
                  "id": "0003911000001668971",
                  "customerRef": "4vMgYYLnQJ",
                  "ssoId": "J0aBUy8XBRdiZkV/3EGxtaS7rA+YwJ3bKF7n6EYZVQs=",
                  "status": "Customer",
                  "title": "Dr.",
                  "givenName": "Bloggs",
                  "middleNames": "Adam",
                  "familyName": "Joe",
                  "suffix": "",
                  "salutation": "Mr",
                  "dateOfBirth": "1970-01-01T00:00:00Z",
                  "contact": {
                    "phoneNumbers": [
                      {
                        "type": "Work",
                        "value": "020 7160 8800"
                      }
                    ],
                    "emailAddresses": [
                      {
                        "type": "Personal",
                        "value": "email@newday.co.uk"
                      }
                    ]
                  },
                  "addresses": [
                    {
                      "id": "6d1485d2-848c-4f28-9fe7-109141b081c3",
                      "format": "Manual",
                      "components": {
                        "flatNumber": null,
                        "houseNumber": "7",
                        "houseName": null,
                        "street": null,
                        "locality": null,
                        "addressLine1": "Handyside Street",
                        "addressLine2": null,
                        "addressLine3": null,
                        "addressLine4": null,
                        "townOrCity": "London",
                        "county": null,
                        "postcode": "N1C 4DA",
                        "countryCode": null
                      },
                      "flags": []
                    }
                  ],
                  "accounts": [
                    {
                      "accountNumber": "0003915000000966364"
                    }
                  ],
                  "applications": [
                    {
                      "applicationId": "93a1c2ce-c345-4057-bd5f-1a639573f00f"
                    }
                  ],
                  "scaExemptions": [
                    "scaExempt"
                  ],
                  "hasVulnerabilities": null,
                  "hasSupportNeeds": null,
                  "legalEntityType": "Natural",
                  "flags": [
                    "Imprisoned"
                  ]
                }
              }
            }
          },
          "400": {
            "description": "Either input was missing a mandatory parameter, or a parameter level validation has occurred. Rectify the error and resubmit the request.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiBadRequestResponse"
                },
                "example": {
                  "type": "newday:generic:error:validation",
                  "title": "One or more validation errors occurred.",
                  "status": 400,
                  "errors": {
                    "Id": [
                      "Id is required"
                    ]
                  }
                }
              }
            }
          },
          "404": {
            "description": "Customer Not Found.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/NotFoundResult"
                },
                "example": {
                  "statusCode": 0
                }
              }
            }
          },
          "500": {
            "description": "It has not been possible to process the request. This usually occurs as a result of technical problems and/or an outage of a downstream system. Attempt to resend the request.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                },
                "example": {
                  "type": "newday:generic:error",
                  "title": "500",
                  "status": 500
                }
              }
            }
          }
        },
        "x-codeSamples": [
          {
            "lang": "Shell + Curl",
            "source": "curl --request GET \\\n  --url 'https://api.uat-newdaycards.com/customerinsights/api/customers/%7BcustomerId%7D?api-version=SOME_STRING_VALUE' \\\n  --header 'Api-Version: SOME_STRING_VALUE' \\\n  --header 'Cache-Control: SOME_STRING_VALUE'"
          },
          {
            "lang": "Csharp + Restsharp",
            "source": "var client = new RestClient(\"https://api.uat-newdaycards.com/customerinsights/api/customers/%7BcustomerId%7D?api-version=SOME_STRING_VALUE\");\nvar request = new RestRequest(Method.GET);\nrequest.AddHeader(\"Cache-Control\", \"SOME_STRING_VALUE\");\nrequest.AddHeader(\"Api-Version\", \"SOME_STRING_VALUE\");\nIRestResponse response = client.Execute(request);"
          },
          {
            "lang": "Javascript + Xhr",
            "source": "const data = null;\n\nconst xhr = new XMLHttpRequest();\nxhr.withCredentials = true;\n\nxhr.addEventListener(\"readystatechange\", function () {\n  if (this.readyState === this.DONE) {\n    console.log(this.responseText);\n  }\n});\n\nxhr.open(\"GET\", \"https://api.uat-newdaycards.com/customerinsights/api/customers/%7BcustomerId%7D?api-version=SOME_STRING_VALUE\");\nxhr.setRequestHeader(\"Cache-Control\", \"SOME_STRING_VALUE\");\nxhr.setRequestHeader(\"Api-Version\", \"SOME_STRING_VALUE\");\n\nxhr.send(data);"
          },
          {
            "lang": "Node + Request",
            "source": "const request = require('request');\n\nconst options = {\n  method: 'GET',\n  url: 'https://api.uat-newdaycards.com/customerinsights/api/customers/%7BcustomerId%7D',\n  qs: {'api-version': 'SOME_STRING_VALUE'},\n  headers: {'Cache-Control': 'SOME_STRING_VALUE', 'Api-Version': 'SOME_STRING_VALUE'}\n};\n\nrequest(options, function (error, response, body) {\n  if (error) throw new Error(error);\n\n  console.log(body);\n});\n"
          }
        ]
      }
    },
    "/customers": {
      "get": {
        "tags": [
          "Customers"
        ],
        "summary": "Retrieves the core personal information of a customer by its unique id. This information includes PII data,\ncontact details as well as the account numbers and details initiated with that customer profile.\nWhen an access token record is found, but no account is found is the underlying account system\nthen a header of 'NoCustomerDetails' is returned.",
        "operationId": "GetCustomerByAccessToken",
        "parameters": [
          {
            "name": "customerAccessToken",
            "in": "header",
            "description": "Customer Access Token.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "Api-Version",
            "in": "header",
            "description": "API Version.",
            "required": true,
            "schema": {
              "type": "string",
              "default": "1.0"
            }
          },
          {
            "name": "api-version",
            "in": "query",
            "description": "API Version.",
            "schema": {
              "type": "string",
              "default": "1.0"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Customer Found.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Customer"
                },
                "example": {
                  "id": "0003911000001668971",
                  "customerRef": "4vMgYYLnQJ",
                  "ssoId": "J0aBUy8XBRdiZkV/3EGxtaS7rA+YwJ3bKF7n6EYZVQs=",
                  "status": "Customer",
                  "title": "Dr.",
                  "givenName": "Bloggs",
                  "middleNames": "Adam",
                  "familyName": "Joe",
                  "suffix": "",
                  "salutation": "Mr",
                  "dateOfBirth": "1970-01-01T00:00:00Z",
                  "contact": {
                    "phoneNumbers": [
                      {
                        "type": "Work",
                        "value": "020 7160 8800"
                      }
                    ],
                    "emailAddresses": [
                      {
                        "type": "Personal",
                        "value": "email@newday.co.uk"
                      }
                    ]
                  },
                  "addresses": [
                    {
                      "id": "6d1485d2-848c-4f28-9fe7-109141b081c3",
                      "format": "Manual",
                      "components": {
                        "flatNumber": null,
                        "houseNumber": "7",
                        "houseName": null,
                        "street": null,
                        "locality": null,
                        "addressLine1": "Handyside Street",
                        "addressLine2": null,
                        "addressLine3": null,
                        "addressLine4": null,
                        "townOrCity": "London",
                        "county": null,
                        "postcode": "N1C 4DA",
                        "countryCode": null
                      },
                      "flags": []
                    }
                  ],
                  "accounts": [
                    {
                      "accountNumber": "0003915000000966364"
                    }
                  ],
                  "applications": [
                    {
                      "applicationId": "93a1c2ce-c345-4057-bd5f-1a639573f00f"
                    }
                  ],
                  "scaExemptions": [
                    "scaExempt"
                  ],
                  "hasVulnerabilities": null,
                  "hasSupportNeeds": null,
                  "legalEntityType": "Natural",
                  "flags": [
                    "Imprisoned"
                  ]
                }
              }
            }
          },
          "400": {
            "description": "Either input was missing a mandatory parameter, or a parameter level validation has occurred. Rectify the error and resubmit the request.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiBadRequestResponse"
                },
                "example": {
                  "type": "newday:generic:error:validation",
                  "title": "One or more validation errors occurred.",
                  "status": 400,
                  "errors": {
                    "Id": [
                      "Id is required"
                    ]
                  }
                }
              }
            }
          },
          "404": {
            "description": "Customer Not Found.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/NotFoundResult"
                },
                "example": {
                  "statusCode": 0
                }
              }
            }
          },
          "500": {
            "description": "It has not been possible to process the request. This usually occurs as a result of technical problems and/or an outage of a downstream system. Attempt to resend the request.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                },
                "example": {
                  "type": "newday:generic:error",
                  "title": "500",
                  "status": 500
                }
              }
            }
          }
        },
        "x-codeSamples": [
          {
            "lang": "Shell + Curl",
            "source": "curl --request GET \\\n  --url 'https://api.uat-newdaycards.com/customerinsights/api/customers?api-version=SOME_STRING_VALUE' \\\n  --header 'Api-Version: SOME_STRING_VALUE' \\\n  --header 'customerAccessToken: SOME_STRING_VALUE'"
          },
          {
            "lang": "Csharp + Restsharp",
            "source": "var client = new RestClient(\"https://api.uat-newdaycards.com/customerinsights/api/customers?api-version=SOME_STRING_VALUE\");\nvar request = new RestRequest(Method.GET);\nrequest.AddHeader(\"customerAccessToken\", \"SOME_STRING_VALUE\");\nrequest.AddHeader(\"Api-Version\", \"SOME_STRING_VALUE\");\nIRestResponse response = client.Execute(request);"
          },
          {
            "lang": "Javascript + Xhr",
            "source": "const data = null;\n\nconst xhr = new XMLHttpRequest();\nxhr.withCredentials = true;\n\nxhr.addEventListener(\"readystatechange\", function () {\n  if (this.readyState === this.DONE) {\n    console.log(this.responseText);\n  }\n});\n\nxhr.open(\"GET\", \"https://api.uat-newdaycards.com/customerinsights/api/customers?api-version=SOME_STRING_VALUE\");\nxhr.setRequestHeader(\"customerAccessToken\", \"SOME_STRING_VALUE\");\nxhr.setRequestHeader(\"Api-Version\", \"SOME_STRING_VALUE\");\n\nxhr.send(data);"
          },
          {
            "lang": "Node + Request",
            "source": "const request = require('request');\n\nconst options = {\n  method: 'GET',\n  url: 'https://api.uat-newdaycards.com/customerinsights/api/customers',\n  qs: {'api-version': 'SOME_STRING_VALUE'},\n  headers: {customerAccessToken: 'SOME_STRING_VALUE', 'Api-Version': 'SOME_STRING_VALUE'}\n};\n\nrequest(options, function (error, response, body) {\n  if (error) throw new Error(error);\n\n  console.log(body);\n});\n"
          }
        ]
      }
    },
    "/customers/search": {
      "post": {
        "tags": [
          "Customers"
        ],
        "summary": "Retrieves the core personal information of a customer by query filters like given name, family name, phone number,\ndate of birth, postcode and account number. This information includes PII data, contact details as well as the\naccount numbers and details initiated with that customer profile. This endpoint also supports filtering by the\ncustomer reference and retrieves the status of the customer together with their details like account number and application id.",
        "operationId": "SearchCustomers",
        "parameters": [
          {
            "name": "Api-Version",
            "in": "header",
            "description": "API Version.",
            "required": true,
            "schema": {
              "type": "string",
              "default": "1.0"
            }
          },
          {
            "name": "api-version",
            "in": "query",
            "description": "API Version.",
            "schema": {
              "type": "string",
              "default": "1.0"
            }
          }
        ],
        "requestBody": {
          "description": "Customer.Api.Models.Customer.Search.CustomerSearchRequest",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/CustomerSearchRequest"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Search completed successfully.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/CustomerSearchResults"
                },
                "example": {
                  "values": [
                    {
                      "id": "0003911000001668971",
                      "customerRef": "4vMgYYLnQJ",
                      "ssoId": "J0aBUy8XBRdiZkV/3EGxtaS7rA+YwJ3bKF7n6EYZVQs=",
                      "status": "Customer",
                      "title": "Dr.",
                      "givenName": "Bloggs",
                      "middleNames": "Adam",
                      "familyName": "Joe",
                      "suffix": "",
                      "salutation": "Mr",
                      "dateOfBirth": "1970-01-01T00:00:00Z",
                      "contact": {
                        "phoneNumbers": [
                          {
                            "type": "Work",
                            "value": "020 7160 8800"
                          }
                        ],
                        "emailAddresses": [
                          {
                            "type": "Personal",
                            "value": "email@newday.co.uk"
                          }
                        ]
                      },
                      "addresses": [
                        {
                          "id": "6d1485d2-848c-4f28-9fe7-109141b081c3",
                          "format": "Manual",
                          "components": {
                            "flatNumber": null,
                            "houseNumber": "7",
                            "houseName": null,
                            "street": null,
                            "locality": null,
                            "addressLine1": "Handyside Street",
                            "addressLine2": null,
                            "addressLine3": null,
                            "addressLine4": null,
                            "townOrCity": "London",
                            "county": null,
                            "postcode": "N1C 4DA",
                            "countryCode": null
                          },
                          "flags": []
                        }
                      ],
                      "accounts": [
                        {
                          "accountNumber": "0003915000000966364"
                        }
                      ],
                      "applications": [
                        {
                          "applicationId": "93a1c2ce-c345-4057-bd5f-1a639573f00f"
                        }
                      ],
                      "scaExemptions": [
                        "scaExempt"
                      ],
                      "hasVulnerabilities": null,
                      "hasSupportNeeds": null,
                      "legalEntityType": "Natural",
                      "flags": [
                        "Imprisoned"
                      ]
                    }
                  ]
                }
              }
            }
          },
          "400": {
            "description": "Either input was missing a mandatory parameter, or a parameter level validation has occurred. Rectify the error and resubmit the request.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiBadRequestResponse"
                },
                "example": {
                  "type": "newday:generic:error:validation",
                  "title": "One or more validation errors occurred.",
                  "status": 400,
                  "errors": {
                    "Id": [
                      "Id is required"
                    ]
                  }
                }
              }
            }
          },
          "500": {
            "description": "It has not been possible to process the request. This usually occurs as a result of technical problems and/or an outage of a downstream system. Attempt to resend the request.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                },
                "example": {
                  "type": "newday:generic:error",
                  "title": "500",
                  "status": 500
                }
              }
            }
          },
          "503": {
            "description": "Service Unavailable",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                },
                "example": {
                  "type": "string",
                  "title": "string",
                  "status": 0,
                  "detail": "string",
                  "instance": "string",
                  "property1": null,
                  "property2": null
                }
              }
            }
          }
        },
        "x-codeSamples": [
          {
            "lang": "Shell + Curl",
            "source": "curl --request POST \\\n  --url 'https://api.uat-newdaycards.com/customerinsights/api/customers/search?api-version=SOME_STRING_VALUE' \\\n  --header 'Api-Version: SOME_STRING_VALUE' \\\n  --header 'content-type: application/json' \\\n  --data '{\"filter\":{\"givenName\":\"string\",\"familyName\":\"string\",\"postcode\":\"string\",\"phoneNumber\":\"string\",\"dateOfBirth\":\"2019-08-24T14:15:22Z\",\"accountNumber\":\"string\",\"customerRef\":\"string\",\"role\":\"string\"}}'"
          },
          {
            "lang": "Csharp + Restsharp",
            "source": "var client = new RestClient(\"https://api.uat-newdaycards.com/customerinsights/api/customers/search?api-version=SOME_STRING_VALUE\");\nvar request = new RestRequest(Method.POST);\nrequest.AddHeader(\"Api-Version\", \"SOME_STRING_VALUE\");\nrequest.AddHeader(\"content-type\", \"application/json\");\nrequest.AddParameter(\"application/json\", \"{\\\"filter\\\":{\\\"givenName\\\":\\\"string\\\",\\\"familyName\\\":\\\"string\\\",\\\"postcode\\\":\\\"string\\\",\\\"phoneNumber\\\":\\\"string\\\",\\\"dateOfBirth\\\":\\\"2019-08-24T14:15:22Z\\\",\\\"accountNumber\\\":\\\"string\\\",\\\"customerRef\\\":\\\"string\\\",\\\"role\\\":\\\"string\\\"}}\", ParameterType.RequestBody);\nIRestResponse response = client.Execute(request);"
          },
          {
            "lang": "Javascript + Xhr",
            "source": "const data = JSON.stringify({\n  \"filter\": {\n    \"givenName\": \"string\",\n    \"familyName\": \"string\",\n    \"postcode\": \"string\",\n    \"phoneNumber\": \"string\",\n    \"dateOfBirth\": \"2019-08-24T14:15:22Z\",\n    \"accountNumber\": \"string\",\n    \"customerRef\": \"string\",\n    \"role\": \"string\"\n  }\n});\n\nconst xhr = new XMLHttpRequest();\nxhr.withCredentials = true;\n\nxhr.addEventListener(\"readystatechange\", function () {\n  if (this.readyState === this.DONE) {\n    console.log(this.responseText);\n  }\n});\n\nxhr.open(\"POST\", \"https://api.uat-newdaycards.com/customerinsights/api/customers/search?api-version=SOME_STRING_VALUE\");\nxhr.setRequestHeader(\"Api-Version\", \"SOME_STRING_VALUE\");\nxhr.setRequestHeader(\"content-type\", \"application/json\");\n\nxhr.send(data);"
          },
          {
            "lang": "Node + Request",
            "source": "const request = require('request');\n\nconst options = {\n  method: 'POST',\n  url: 'https://api.uat-newdaycards.com/customerinsights/api/customers/search',\n  qs: {'api-version': 'SOME_STRING_VALUE'},\n  headers: {'Api-Version': 'SOME_STRING_VALUE', 'content-type': 'application/json'},\n  body: {\n    filter: {\n      givenName: 'string',\n      familyName: 'string',\n      postcode: 'string',\n      phoneNumber: 'string',\n      dateOfBirth: '2019-08-24T14:15:22Z',\n      accountNumber: 'string',\n      customerRef: 'string',\n      role: 'string'\n    }\n  },\n  json: true\n};\n\nrequest(options, function (error, response, body) {\n  if (error) throw new Error(error);\n\n  console.log(body);\n});\n"
          }
        ]
      }
    },
    "/customers/supported-formats/email-address": {
      "post": {
        "tags": [
          "Supported-Formats"
        ],
        "summary": "Verifies the email address exists but does not check possession.",
        "operationId": "VerifyEmail",
        "parameters": [
          {
            "name": "Api-Version",
            "in": "header",
            "description": "API Version.",
            "required": true,
            "schema": {
              "type": "string",
              "default": "1.0"
            }
          },
          {
            "name": "api-version",
            "in": "query",
            "description": "API Version.",
            "schema": {
              "type": "string",
              "default": "1.0"
            }
          }
        ],
        "requestBody": {
          "description": "The email to be validated.",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/ValidateEmailRequest"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Verification attempt processed. Please view state for verification status.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ValidationResult"
                },
                "example": {
                  "value": "email@newday.co.uk",
                  "verified": true
                }
              }
            }
          },
          "400": {
            "description": "Format not supported. Please resubmit the request.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiBadRequestResponse"
                },
                "example": {
                  "type": "newday:generic:error:validation",
                  "title": "One or more validation errors occurred.",
                  "status": 400,
                  "errors": {
                    "Id": [
                      "Id is required"
                    ]
                  }
                }
              }
            }
          },
          "500": {
            "description": "It has not been possible to process the request. This usually occurs as a result of technical problems and/or an outage of a downstream system. Attempt to resend the request.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                },
                "example": {
                  "type": "newday:generic:error",
                  "title": "500",
                  "status": 500
                }
              }
            }
          }
        },
        "x-codeSamples": [
          {
            "lang": "Shell + Curl",
            "source": "curl --request POST \\\n  --url 'https://api.uat-newdaycards.com/customerinsights/api/customers/supported-formats/email-address?api-version=SOME_STRING_VALUE' \\\n  --header 'Api-Version: SOME_STRING_VALUE' \\\n  --header 'content-type: application/json' \\\n  --data '{\"email\":\"user@example.com\"}'"
          },
          {
            "lang": "Csharp + Restsharp",
            "source": "var client = new RestClient(\"https://api.uat-newdaycards.com/customerinsights/api/customers/supported-formats/email-address?api-version=SOME_STRING_VALUE\");\nvar request = new RestRequest(Method.POST);\nrequest.AddHeader(\"Api-Version\", \"SOME_STRING_VALUE\");\nrequest.AddHeader(\"content-type\", \"application/json\");\nrequest.AddParameter(\"application/json\", \"{\\\"email\\\":\\\"user@example.com\\\"}\", ParameterType.RequestBody);\nIRestResponse response = client.Execute(request);"
          },
          {
            "lang": "Javascript + Xhr",
            "source": "const data = JSON.stringify({\n  \"email\": \"user@example.com\"\n});\n\nconst xhr = new XMLHttpRequest();\nxhr.withCredentials = true;\n\nxhr.addEventListener(\"readystatechange\", function () {\n  if (this.readyState === this.DONE) {\n    console.log(this.responseText);\n  }\n});\n\nxhr.open(\"POST\", \"https://api.uat-newdaycards.com/customerinsights/api/customers/supported-formats/email-address?api-version=SOME_STRING_VALUE\");\nxhr.setRequestHeader(\"Api-Version\", \"SOME_STRING_VALUE\");\nxhr.setRequestHeader(\"content-type\", \"application/json\");\n\nxhr.send(data);"
          },
          {
            "lang": "Node + Request",
            "source": "const request = require('request');\n\nconst options = {\n  method: 'POST',\n  url: 'https://api.uat-newdaycards.com/customerinsights/api/customers/supported-formats/email-address',\n  qs: {'api-version': 'SOME_STRING_VALUE'},\n  headers: {'Api-Version': 'SOME_STRING_VALUE', 'content-type': 'application/json'},\n  body: {email: 'user@example.com'},\n  json: true\n};\n\nrequest(options, function (error, response, body) {\n  if (error) throw new Error(error);\n\n  console.log(body);\n});\n"
          }
        ]
      }
    },
    "/customers/supported-formats/phone-number": {
      "post": {
        "tags": [
          "Supported-Formats"
        ],
        "summary": "Verifies the phone number exist but does not check possession. Currently only used for mobile numbers registered in the UK.",
        "operationId": "VerifyPhoneNumber",
        "parameters": [
          {
            "name": "Api-Version",
            "in": "header",
            "description": "API Version.",
            "required": true,
            "schema": {
              "type": "string",
              "default": "1.0"
            }
          },
          {
            "name": "api-version",
            "in": "query",
            "description": "API Version.",
            "schema": {
              "type": "string",
              "default": "1.0"
            }
          }
        ],
        "requestBody": {
          "description": "The mobile phone number to be validated.",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/ValidatePhoneNumberRequest"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Verification attempt processed. Please view state for verification status.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ValidationResult"
                },
                "example": {
                  "value": "020 7160 8800",
                  "verified": true
                }
              }
            }
          },
          "400": {
            "description": "Format not supported. Please resubmit the request.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiBadRequestResponse"
                },
                "example": {
                  "type": "newday:generic:error:validation",
                  "title": "One or more validation errors occurred.",
                  "status": 400,
                  "errors": {
                    "Id": [
                      "Id is required"
                    ]
                  }
                }
              }
            }
          },
          "500": {
            "description": "It has not been possible to process the request. This usually occurs as a result of technical problems and/or an outage of a downstream system. Attempt to resend the request.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                },
                "example": {
                  "type": "newday:generic:error",
                  "title": "500",
                  "status": 500
                }
              }
            }
          }
        },
        "x-codeSamples": [
          {
            "lang": "Shell + Curl",
            "source": "curl --request POST \\\n  --url 'https://api.uat-newdaycards.com/customerinsights/api/customers/supported-formats/phone-number?api-version=SOME_STRING_VALUE' \\\n  --header 'Api-Version: SOME_STRING_VALUE' \\\n  --header 'content-type: application/json' \\\n  --data '{\"phoneNumber\":\"string\"}'"
          },
          {
            "lang": "Csharp + Restsharp",
            "source": "var client = new RestClient(\"https://api.uat-newdaycards.com/customerinsights/api/customers/supported-formats/phone-number?api-version=SOME_STRING_VALUE\");\nvar request = new RestRequest(Method.POST);\nrequest.AddHeader(\"Api-Version\", \"SOME_STRING_VALUE\");\nrequest.AddHeader(\"content-type\", \"application/json\");\nrequest.AddParameter(\"application/json\", \"{\\\"phoneNumber\\\":\\\"string\\\"}\", ParameterType.RequestBody);\nIRestResponse response = client.Execute(request);"
          },
          {
            "lang": "Javascript + Xhr",
            "source": "const data = JSON.stringify({\n  \"phoneNumber\": \"string\"\n});\n\nconst xhr = new XMLHttpRequest();\nxhr.withCredentials = true;\n\nxhr.addEventListener(\"readystatechange\", function () {\n  if (this.readyState === this.DONE) {\n    console.log(this.responseText);\n  }\n});\n\nxhr.open(\"POST\", \"https://api.uat-newdaycards.com/customerinsights/api/customers/supported-formats/phone-number?api-version=SOME_STRING_VALUE\");\nxhr.setRequestHeader(\"Api-Version\", \"SOME_STRING_VALUE\");\nxhr.setRequestHeader(\"content-type\", \"application/json\");\n\nxhr.send(data);"
          },
          {
            "lang": "Node + Request",
            "source": "const request = require('request');\n\nconst options = {\n  method: 'POST',\n  url: 'https://api.uat-newdaycards.com/customerinsights/api/customers/supported-formats/phone-number',\n  qs: {'api-version': 'SOME_STRING_VALUE'},\n  headers: {'Api-Version': 'SOME_STRING_VALUE', 'content-type': 'application/json'},\n  body: {phoneNumber: 'string'},\n  json: true\n};\n\nrequest(options, function (error, response, body) {\n  if (error) throw new Error(error);\n\n  console.log(body);\n});\n"
          }
        ]
      }
    }
  },
  "components": {
    "schemas": {
      "AccountDetails": {
        "type": "object",
        "properties": {
          "accountNumber": {
            "type": "string",
            "description": "The account number.",
            "nullable": true,
            "example": "0003915000000966364"
          }
        },
        "additionalProperties": false
      },
      "Address": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "description": "Id of the address. This will be populated only when the address is returned from Stratus CIS",
            "nullable": true
          },
          "format": {
            "type": "string",
            "description": "Format of the customer address. Can be Manual or GBR.",
            "nullable": true
          },
          "components": {
            "$ref": "#/components/schemas/AddressComponents"
          },
          "flags": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "nullable": true
          }
        },
        "additionalProperties": false
      },
      "AddressComponents": {
        "type": "object",
        "properties": {
          "flatNumber": {
            "type": "string",
            "description": "Flat number of the customer as defined on the Customer Name/Address record.",
            "nullable": true
          },
          "houseNumber": {
            "type": "string",
            "description": "House number of the customer as defined on the Customer Name/Address record.",
            "nullable": true
          },
          "houseName": {
            "type": "string",
            "description": "House name of the customer as defined on the Customer Name/Address record.",
            "nullable": true
          },
          "street": {
            "type": "string",
            "description": "The street of the customer address. Optional for GBR address format.",
            "nullable": true
          },
          "locality": {
            "type": "string",
            "description": "The locality of the customer address. Optional for GBR address format.",
            "nullable": true
          },
          "addressLine1": {
            "type": "string",
            "description": "First line of the customer address defined on the Customer Name/Address record.",
            "nullable": true
          },
          "addressLine2": {
            "type": "string",
            "description": "Second line of the customer address defined on the Customer Name/Address record.",
            "nullable": true
          },
          "addressLine3": {
            "type": "string",
            "description": "Third line of the customer address defined on the Customer Name/Address record.",
            "nullable": true
          },
          "addressLine4": {
            "type": "string",
            "description": "Fourth line of the customer address defined on the Customer Name/Address record.",
            "nullable": true
          },
          "townOrCity": {
            "type": "string",
            "description": "Town or city of the customer as defined on the Customer Name/Address record.",
            "nullable": true
          },
          "county": {
            "type": "string",
            "description": "County of the customer as defined on the Customer Name/Address record.",
            "nullable": true
          },
          "postcode": {
            "type": "string",
            "description": "UK postcode of the customer as defined on the Customer Name/Address record.",
            "nullable": true
          },
          "countryCode": {
            "type": "string",
            "description": "The 3 letter ISO country code of the customer as defined on the Customer Name/Address record.",
            "nullable": true
          }
        },
        "additionalProperties": false
      },
      "AmlEventType": {
        "enum": [
          "SignedForDelivery",
          "AgentVerified",
          "AmlRemove"
        ],
        "type": "string",
        "description": "Types of AML events"
      },
      "ApiBadRequestResponse": {
        "type": "object",
        "properties": {
          "type": {
            "type": "string",
            "nullable": true
          },
          "title": {
            "type": "string",
            "nullable": true
          },
          "status": {
            "type": "integer",
            "format": "int32",
            "nullable": true
          },
          "detail": {
            "type": "string",
            "nullable": true
          },
          "instance": {
            "type": "string",
            "nullable": true
          },
          "errors": {
            "type": "object",
            "additionalProperties": {
              "type": "array",
              "items": {
                "type": "string"
              }
            },
            "nullable": true,
            "readOnly": true
          }
        },
        "additionalProperties": {},
        "description": "Response object for a HTTP 400 Bad Request."
      },
      "Application": {
        "type": "object",
        "properties": {
          "applicationId": {
            "type": "string",
            "nullable": true
          }
        },
        "additionalProperties": false
      },
      "Contact": {
        "type": "object",
        "properties": {
          "phoneNumbers": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/ContactMethod"
            },
            "description": "The phone number associated with the customer profile. Type can be work, home or mobile number.",
            "nullable": true
          },
          "emailAddresses": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/ContactMethod"
            },
            "description": "The email address associated with the customer profile.",
            "nullable": true
          }
        },
        "additionalProperties": false
      },
      "ContactMethod": {
        "type": "object",
        "properties": {
          "type": {
            "type": "string",
            "description": "The type of contact method. ie. Home, Work or Personal for phone numbers, personal for email.",
            "nullable": true
          },
          "value": {
            "type": "string",
            "description": "The contact details.",
            "nullable": true
          }
        },
        "additionalProperties": false
      },
      "CreateCustomerAmlEventRequest": {
        "type": "object",
        "properties": {
          "eventType": {
            "$ref": "#/components/schemas/AmlEventType"
          },
          "metadata": {
            "type": "object",
            "additionalProperties": {},
            "description": "Metadata associated with the AML event",
            "nullable": true
          }
        },
        "additionalProperties": false
      },
      "CreateCustomerAmlEventResponse": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "format": "uuid"
          }
        },
        "additionalProperties": false
      },
      "Customer": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "description": "Unique NewDay assigned identifier for the customer profile.",
            "nullable": true,
            "example": "1234"
          },
          "customerRef": {
            "maxLength": 36,
            "type": "string",
            "description": "Merchants identifier for the customer.",
            "nullable": true,
            "example": "1260aeba-0e76-41df-86f9-48bf7bf9c7d2"
          },
          "ssoId": {
            "type": "string",
            "description": "Single Sign On (SSO) Id for the customer profile.",
            "nullable": true
          },
          "status": {
            "type": "string",
            "description": "The status of the customer profile (customer or applicant).",
            "nullable": true
          },
          "title": {
            "type": "string",
            "description": "Professional or honorary title associated with the customer profile.",
            "nullable": true
          },
          "givenName": {
            "type": "string",
            "description": "The given name (also known as the first name) associated with the customer profile.",
            "nullable": true
          },
          "middleNames": {
            "type": "string",
            "description": "The middle name associated with the customer profile.",
            "nullable": true
          },
          "familyName": {
            "type": "string",
            "description": "The family name (also known as the last name) associated with the customer profile.",
            "nullable": true
          },
          "suffix": {
            "type": "string",
            "description": "Field that identifies the suffix of the customer profile.",
            "nullable": true
          },
          "salutation": {
            "type": "string",
            "description": "Greeting phrase associated with the customer profile.",
            "nullable": true
          },
          "dateOfBirth": {
            "type": "string",
            "description": "The birthday and time associated with the customer profile, in ISO 8601 format (i.e. \"2000-07-19T09:14:44.568Z\").",
            "format": "date-time",
            "nullable": true
          },
          "contact": {
            "$ref": "#/components/schemas/Contact"
          },
          "addresses": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Address"
            },
            "description": "The physical address associated with the customer profile.",
            "nullable": true
          },
          "accounts": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/AccountDetails"
            },
            "description": "Account details initiated with the customer profile.",
            "nullable": true,
            "example": "\"1234567890\""
          },
          "applications": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Application"
            },
            "description": "Application Id of a customer with applicant status.",
            "nullable": true,
            "example": "c643178b-b27b-4671-bfc3-28c35d83ad93"
          },
          "scaExemptions": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "Types of SCA exemptions associated with the customer profile.",
            "nullable": true
          },
          "hasVulnerabilities": {
            "type": "boolean",
            "nullable": true,
            "readOnly": true
          },
          "hasSupportNeeds": {
            "type": "boolean",
            "nullable": true,
            "readOnly": true
          },
          "legalEntityType": {
            "type": "string",
            "description": "Represents the type of legal entity. Can be Natural for a natural-born person or Legal if represents an organization.",
            "nullable": true,
            "readOnly": true
          },
          "flags": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "Flags related to the cusomer, such as Imprisoned, AML",
            "nullable": true
          }
        },
        "additionalProperties": false,
        "description": "Response object containing a customer profile."
      },
      "CustomerSearchRequest": {
        "required": [
          "filter"
        ],
        "type": "object",
        "properties": {
          "filter": {
            "$ref": "#/components/schemas/Filter"
          }
        },
        "additionalProperties": false,
        "description": "Request object for customer search."
      },
      "CustomerSearchResults": {
        "type": "object",
        "properties": {
          "values": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Customer"
            },
            "description": "List of customers returned by the search.",
            "nullable": true
          }
        },
        "additionalProperties": false,
        "description": "Response object for customer search."
      },
      "Filter": {
        "type": "object",
        "properties": {
          "givenName": {
            "maxLength": 40,
            "type": "string",
            "description": "The given name (also known as the first name) associated with the customer profile.",
            "nullable": true
          },
          "familyName": {
            "maxLength": 40,
            "type": "string",
            "description": "The family name (also known as the last name) associated with the customer profile.",
            "nullable": true
          },
          "postcode": {
            "maxLength": 10,
            "type": "string",
            "description": "Postcode of the address associated with customer profile.",
            "nullable": true
          },
          "phoneNumber": {
            "maxLength": 20,
            "type": "string",
            "description": "The phone number associated with the customer profile (Phone number can be the home, work, fax, or mobile number).",
            "nullable": true
          },
          "dateOfBirth": {
            "type": "string",
            "description": "The birthday and time associated with the customer profile, in ISO 8601 format (i.e. \"2000-07-19T09:14:44.568Z\").",
            "format": "date-time",
            "nullable": true
          },
          "accountNumber": {
            "maxLength": 19,
            "type": "string",
            "description": "The account number associated with the customer profile.",
            "nullable": true
          },
          "customerRef": {
            "type": "string",
            "description": "The customer reference number associated with the customer profile.",
            "nullable": true
          },
          "role": {
            "type": "string",
            "description": "The role associated with the customer profile.",
            "nullable": true
          }
        },
        "additionalProperties": false
      },
      "GbrAddressRequest": {
        "required": [
          "postcode",
          "townOrCity"
        ],
        "type": "object",
        "properties": {
          "flatNumber": {
            "type": "string",
            "description": "The flat number of the customer address.",
            "nullable": true
          },
          "houseName": {
            "type": "string",
            "description": "The house name of the customer address.",
            "nullable": true
          },
          "houseNumber": {
            "type": "string",
            "description": "The house number of the customer address.",
            "nullable": true
          },
          "street": {
            "type": "string",
            "description": "The street of the customer address.",
            "nullable": true
          },
          "locality": {
            "type": "string",
            "description": "The locality of the customer address.",
            "nullable": true
          },
          "townOrCity": {
            "minLength": 1,
            "type": "string",
            "description": "The town or city of the customer address."
          },
          "county": {
            "type": "string",
            "description": "The county of the customer address.",
            "nullable": true
          },
          "postcode": {
            "minLength": 1,
            "type": "string",
            "description": "The post code of the customer address."
          },
          "countryCode": {
            "type": "string",
            "description": "The country code of the customer address.",
            "nullable": true
          }
        },
        "additionalProperties": false,
        "description": "Request object for creating/updating a customer address of GBR type."
      },
      "NotFoundResult": {
        "type": "object",
        "properties": {
          "statusCode": {
            "type": "integer",
            "format": "int32"
          }
        },
        "additionalProperties": false
      },
      "ProblemDetails": {
        "type": "object",
        "properties": {
          "type": {
            "type": "string",
            "nullable": true
          },
          "title": {
            "type": "string",
            "nullable": true
          },
          "status": {
            "type": "integer",
            "format": "int32",
            "nullable": true
          },
          "detail": {
            "type": "string",
            "nullable": true
          },
          "instance": {
            "type": "string",
            "nullable": true
          }
        },
        "additionalProperties": {}
      },
      "ValidateEmailRequest": {
        "required": [
          "email"
        ],
        "type": "object",
        "properties": {
          "email": {
            "maxLength": 60,
            "minLength": 1,
            "type": "string",
            "description": "The email address to validate.",
            "format": "email",
            "nullable": false
          }
        },
        "additionalProperties": false,
        "description": "Request object for validating an email address."
      },
      "ValidatePhoneNumberRequest": {
        "required": [
          "phoneNumber"
        ],
        "type": "object",
        "properties": {
          "phoneNumber": {
            "minLength": 1,
            "type": "string",
            "description": "The UK phone number to validate.",
            "format": "tel",
            "nullable": false
          }
        },
        "additionalProperties": false,
        "description": "Request object for validating a UK mobile phone number."
      },
      "ValidationResult": {
        "type": "object",
        "properties": {
          "value": {
            "type": "string",
            "description": "The data that was verified.",
            "nullable": true
          },
          "verified": {
            "type": "boolean",
            "description": "Indicates whether the data could be verified."
          }
        },
        "additionalProperties": false
      }
    }
  },
  "tags": [
    {
      "name": "Customer Anti Money Laundring Events"
    },
    {
      "name": "Customers"
    },
    {
      "name": "Supported-Formats"
    }
  ],
  "x-pub-settings": {
    "pub-ready": true,
    "tags": [
      "Customer & Profile",
      "Retailers",
      "NewPay"
    ],
    "team": "",
    "commitDate": 1779181124000
  }
}